![Abundance Labds](.github/AbundanceLabs_readme_banner.png)

# Spree Pages

[![Build Status](https://travis-ci.org/abundance-labs/spree_pages.svg?branch=master)](https://travis-ci.org/abundance-labs/spree_pages)
[![Maintainability](https://api.codeclimate.com/v1/badges/091271e9215d80067064/maintainability)](https://codeclimate.com/github/abundance-labs/spree_pages/maintainability)
[![Test Coverage](https://api.codeclimate.com/v1/badges/091271e9215d80067064/test_coverage)](https://codeclimate.com/github/abundance-labs/spree_pages/test_coverage)

Simplified version of `spree_static_pages` without localisation overhead

## Installation

1. Add this extension to your Gemfile with this line:

    ```ruby
    gem 'spree_pages', github: 'public-market/spree_pages'
    ```

1. Install the gem using Bundler:

    ```ruby
    bundle install
    ```

1. Copy & run migrations

    ```ruby
    bundle exec rails g spree_pages:install
    ```

1. Restart your server

    If your server was running, restart it so that it can find the assets properly.

## Adding WYSIWYG (example: ckeditor)

1. Install ckeditor:

    https://github.com/galetahub/ckeditor#installation

1. Add ckeditor to js:

    In our case it's `vendor/assets/javascripts/spree/backend/all.js`

    Add this line before `//= require_tree .`

    ```javascript
    //= require ckeditor/init
    ```

1. Add ckeditor to necessary fields in forms:

    Create new js file `ckeditorInit.js` in `vendor/assets/javascripts/spree/backend`

    ```javascript
    $(function() {
      var editableIds = ['page_content']
      editableIds.forEach(function(id) {
        if ($("#" + id).length) {
          CKEDITOR.replace(id);
        }
      })
    });
    ```

    This script will add ckeditor to all fields with ids from `editableIds` array. In this case it's `page_content`

## Testing

First bundle your dependencies, then run `rake`. `rake` will default to building the dummy app if it does not exist, then it will run specs. The dummy app can be regenerated by using `rake test_app`.

```shell
bundle
bundle exec rake
```

## Contributing

If you'd like to contribute, please take a look at the
[instructions](CONTRIBUTING.md) for installing dependencies and crafting a good
pull request.

Copyright (c) 2018 Abundance Labs, Inc., released under the New BSD License
